#include "optid.h"

static int optId(const char* aName) {
  if      (strcmp(aName, "optimize-hits") == 0) 
    return optOptimizeHits;
  else if (strcmp(aName, "length-switch") == 0) 
    return optLengthSwitch;
  else if (strcmp(aName, "random") == 0) 
    return optRandom;
  else if (strcmp(aName, "randomize") == 0) 
    return optRandomize;
  else if (strcmp(aName, "size") == 0) 
    return optSize;
  else if (strcmp(aName, "min-expected-char") == 0) 
    return optMinExpectedChar;
  else if (strcmp(aName, "max-expected-char") == 0) 
    return optMaxExpectedChar;
  else if (strcmp(aName, "source") == 0) 
    return optSource;
  else if (strcmp(aName, "header") == 0) 
    return optHeader;
  else if (strcmp(aName, "output") == 0) 
    return optOutput;
  else if (strcmp(aName, "test") == 0) 
    return optTest;
  else if (strcmp(aName, "entry-struct-name") == 0) 
    return optEntryStructName;
  else if (strcmp(aName, "key-name") == 0) 
    return optKeyName;
  else if (strcmp(aName, "key-table-name") == 0) 
    return optKeyTabName;
  else if (strcmp(aName, "weight-table-name") == 0) 
    return optWeightTabName;
  else if (strcmp(aName, "length-table-name") == 0) 
    return optLengthTabName;
  else if (strcmp(aName, "collision-table-name") == 0) 
    return optCollisionTabName;
  else if (strcmp(aName, "hash-table-name") == 0) 
    return optHashTabName;
  else if (strcmp(aName, "lookup-struct-name") == 0) 
    return optLookupStructName;
  else if (strcmp(aName, "lookup-data-name") == 0) 
    return optLookupDataName;
  else if (strcmp(aName, "lookup-func-name") == 0) 
    return optLookupFuncName;
  else if (strcmp(aName, "inline-lookup-func") == 0) 
    return optInlineLookupFunc;
  else if (strcmp(aName, "static-lookup-data") == 0) 
    return optStaticLookupData;
  else if (strcmp(aName, "language") == 0) 
    return optLanguage;
  else if (strcmp(aName, "namespace-name") == 0) 
    return optNamespaceName;
  else if (strcmp(aName, "debug") == 0) 
    return optDebug;
  else  
    return -1;
}

