#include "hashgen.h"
#include <iostream>


int main(int argc, const char* argv[]) {
  int exitStatus = 1;
  try {
    HashGenerator hashGen(argv);
    hashGen.run();
    exitStatus = 0;
  }
  catch (std::exception& error) {
    std::cerr << "*** " << error.what() << "\n";
  }
  catch (...) {
    std::cerr << "*** Unknown exception\n";
  }
  return exitStatus;
}

