#ifndef _UTILS_H_
#define _UTILS_H_


int minSize(unsigned);
const char* minType(unsigned);
int minWidth(unsigned);

char* strAlloc(const char* aStr, int aLen); 
char* strAlloc(const char* aStr); 
void  strFree(char* aStr);

bool strParse(const char*& aStr, char* aData, int& aDataSize);
int strQuote(const char* aData, int aDataSize, char* aStr);

char* strTrim(char* aStr); // in place
char* strUpper(char* aStr); // in place

bool strToInt(const char* aStr, int& aResult);
bool strToInt(const char* aStr, int aMin, int aMax, int& aResult);
bool strToBool(const char* aStr, bool& aResult);

bool octalDigit(char aChar, int& aDigit);
bool decimalDigit(char aChar, int& aDigit);
bool hexDigit(char aChar, int& aDigit);


#endif

